AwesomeMod! for TS3
Made by: Semper Fidelis Tyrannosaurus

Congratulations to: Draklixa!
Death to all Nesses!

Special Thanks To:
Rick Gibbed, Master of the Universe ( http://gib.me )
Delphy the Pudding Technologist
Tiger the Tigertools Guy
LolKofi
Michse

INSTRUCTIONS:
Place in TS3/Mods/Packages. Requires Hack Framework.
Install optional configuration package.
Delete the file MYDOCU~1/ELECTR~1/THESIM~1/scriptcache.package.

COMPATIBILITY:
Base: 1.67 & Corresponding Expansions
Compatible with all Awesomeware.
Do not attempt to install with other core script mods. It will not work.
There can by only one.

BUG FIXES:
1.  Rabbit Hole & Lot Owners Now Properly Registered
     Game was not properly checking ownership of a property, resulting in
     a problem where multiple households could end up owning the same thing.
2.  Weird IgnorantBliss Bug where hanging out with coworkers would error if
     the coworkers had managed to somehow disappear while the tone was set
     should be eliminated.
3.  Derelict Vehicles will now be regularly cleaned up.
4.  ActiveTopic Null Fix for topic being added to/about uninstantiated sim.
5.  Uninstantiated Sim being promoted to Rocker no longer throws wobbly.
6.  Fixes bug where you could learn recipes from someone which that person
     did not actually know to be able to share.
7.  Should no longer lose performance if hired for work on the same day as
     a work day due to being unable to go to work.
8.  Correct animation now plays when the attacker loses a fight: Defender is
     no longer animated as the attacker if the attacker initiates a fight but
     then loses.
9.  Fire Worker list now correctly lists all sims for owned rabbitholes when
     the rabbithole has multiple careers: Previously would omit workers in
     other tracks at random.
10. Setting lot type of lot no longer destroys name/desc.
11. Visiting CAS dresser/mirror no longer destroys career outfit.
12. Active/Sacred Sims will no longer suddenly find themselves the parent of
    some random vacation locals.
13. Sims invited over for chess/kungfu/whatever will no longer give the
    "Something Suddenly Came Up" excuse even while you can clearly see they
    are doing nothing.
14. Eating Ambrosia before an aging transition occurs now correctly prevents
     the aging transition rather than dropping the age, but then transitioning
     later anyway.
15. Keystones now stackable. Skellington Keys can now be moved in inventory.
16. Sufficient Kung Fu Level Now Properly Grants Catacomb Immunity
     Sims with good Kung Fu were supposed to get an ImmuneToBadCatacombEvents,
     but this feature was never checked and therefore did not work. Fixed now.
17. Mix Master Nectar Skill challenge now completable and will not be lost
     while travelling. More "top" nectar recipes will be listed as a side
     effect of this: You may have to achieve more listed recipes for this
     to take.
18. Nectar in other households now ages properly.
19. Sarcophagi with triggered quest behaviors can now be looked in even if
     they have already been looked in by another sim in the past.
20. Sims can no longer "Put Away" books brought on vacation when vacation home
     lot is a base camp, thus losing the books in a random bookshelf.
21. Sims no longer lose the ability to start advanced romances after ending an
     existing one. To fix previously broken sims, type "fixall".
22. Kludge for bad A/YA CAS Parts: A/YA parts will always show for both even
     if incorrectly flagged by inept creators, as there is no logical reason
     why it should be for one and not the other, due to identicalmeshes.
23. Take All Button no longer results in orphaned objects lost in space if
     for some reason the objects contained could not be added to the taker's
     inventory.
24. Skill Gain Modifiers should be much less likely to incorrectly accumulate
     to massive values. Vampire Skilling Benefit is now applied only once,
     instead of every time you reload your game. Use "fixall" to correct
     previously bad values in your neighborhood.
25. Bartender drinks now grant correct moodlets instead of all being useless.
26. Fixed bad age tests in social rules.
27. Can now order Omniplant seeds again.
28. Being grounded no longer prevents sim from going to school in endless
     loop of punishments.
29. Neighborhood Pet Adoption event no longer leaves behind dead animals.
     Remember, every time you play without AwesomeMod, EAxis kills a kitten!
     Please, think of the kittens!
30. Horse Racing Traits now function: High level races slightly more winnable.

STORY MODE FEATURES:
1.  Awesome Story Driver [Optional - Default: Enabled]
     Enables the experimental AwesomeMod Story Driver, replacing the EA driver.
2.  God's Chosen People
     Control-Clicking a sim/house will offer the option to "Make Sacred" or
     "Remove Sacred", giving that household or sim immunity to StoryProgression
     and other assorted random toadings. The Chosen receive a gold halo on
     their house and on their tracking tags when tracked on radar. You may
     switch instantly between the Chosen household with CRTL-RClick. This
     feature will only function if you are using the EA-based or Awesome Story
     drivers. Other third-party drivers do not use this.

INTERFACE & CONTROL FEATURES - GENERAL
1.  Expert Mode! Less Nagging! [Optional - Default: Disabled]
     Game will not nag you when you try to quit, edit town, save, switch
     household, etc. You know the rules already. You pushed the button anyway.
     Live with it. Experience computing the Awesome way: "SIR, DONE, SIR!".
2.  Robotic Hand of God [Optional - Default: Disabled]
     Your "Hand of God" livedrag tool will automatically dispose of any
     garbage accumulated in your sim's inventory and home lot, such as old
     newspapers, spoiled food, and trash piles, that would normally be subject
     to the "Hand of God", only without you having to do the menial dragging.
3.  No Nudity Censor - Male [Optional - Default: Disabled]
     Male sims are no longer blurred when naked. Useful if you have one of the
     "bits" hacks that actually makes them equipped. Otherwise this is really
     creepy and disturbing. Note that noncensor only applies to nudity. Sims
     remain censored when using the terlet because sims cannot remove their
     pants, and frankly, the blur is for hiding what is not happening.
4.  No Nudity Censor - Female [Optional - Default: Disabled]
     Like above, only it's somewhat less difficult to make this look nonfreaky.
5.  No Sparkle Motion [Optional - Default: Disabled]
     Removes the Sparkle effect from Eye Candy, but will cast doubt on your
     commitment to Sparkle Motion.
6.  No Singing [Optional - Default: Disabled]
     Sims no longer sing the annoying vacation songs you unwisely taught them
     unless specifically told to.
7.  Don't Kill Wants/Opportunities on Switch [Optional - Default: Enabled]
     Switching houses will not kill wants/opportunities on the current house.
     They will hang around until accidentally fulfilled on their own, or they
     timeout. Warning for household switch will be suppressed by this option
     as switching households becomes nondestructive.
8.  Allow Transfer to NPC Inventory w/ Hand Tool [Optional - Default: Enabled]
     Allows you to drop inventory objects onto other sims to give it to them.
9.  Manual Navigation & Smarter Autonavigation [Optional - Default: Enabled]
     Go Here Will Not Queuestomp.
     Go Here "Automatic" Mode smarter about choosing fastest movement mode.
10. Less Whiny [Optional - Enabled]
     Sims wave and whine at the screen less, particularly if they have already
     been given orders!
11. Less Idle Goof Offs [Optional - Enabled]
     Sims will be less likely to stand therefore half an hour goofing off and
     staring into space while they have orders to be carrying out.
12. No Route Fail Tantrum [Optional - Default: Enabled]
     Sims do not stomp and whine when routes is blocked.
13. Arbitrary Move Household Compositions [Optional - Default: Enabled]
     No longer forces inclusion of adult/elder.
     Useful for deleting autospawned parthenogenetic babies.
14. Athletic Tone Selector Now Smarter [Optional - Default: Enabled]
     No longer automatically uses the crappy basic option, instead picking a
     smarter tone more suitable for your sim (NoSweat if high hygiene,
     Push Self if not maxed, Good Pacing otherwise). User may still override
     and pick another tone if desired as part of a quest or just because.
15. "Q" no longer attempts to quit game. Use ALT-F4!
16. No Unpause On Load! [Optional - Enabled]
     If you save the game while it is paused, it will not zoom to 3 when
     reloaded.
17. Display Numerical Values [Optional - Enabled]
     Displays exact numbers in addition to silly bars when available.
18. Display Higher Precision Time [Optional - Enabled]
     Times displayed by moodlets and other game features will be displayed at
     higher precision: 47h instead of 1d, etc. Lower time precisions will
     only be reported at larger values (4h, 3d).
     Because 100% error margins in reporting is simply not acceptable!
19. Speed 4 Finishes Queue [Optional - Enabled]
     As requested by Fat Gwilly People, speed 4 will speed 4 until the sim's
     queue has been completed.
20. Speed 4 Pauses When Done [optional - Enabled]
     Speed 4 will pause the game so you can enter new orders before the
     sim runs amok, instead of continuing the game anyway, causing the sim to
     run amok before you can stop it.

INTERFACE & CONTROL FEATURES - SUPREME COMMANDER
1.  Supreme Commander
     Advanced neighborhood UI & Macro Command System.
2.  Radar Tracking
     Similar the "Chosen Sim" string, only the painted sims are now tracked
     on your neighborhood radar map. If the sim is not one of the Chosen, they
     will be tracked on the radar in a red tag. Individual sims or entire
     households may be painted using CRTL-Click.
3.  No AutoSpeed in SC [Optional - Default: Enabled]
     If Supreme Commander is active, the game speed will not automatically
     change while Supreme Commander is directing sims.
4.  Track All Moving Cars [Optional - Default: Enabled]
5.  Don't Move My Camera [Optional - Default: Disabled]
     Disables automatic camera moving for stupid crap like selecting a sim in
     another fambly, belly pop, etc. If it's not on fire, I don't care.
6.  Puppet Master Mode [Optional - Default: Disabled]
     Select sims from other famblies even faster, by rightclicking them as if
     they were in your own fambly.

GAMEPLAY FEATURES: CORE BEHAVIORS
1.  TS2-Style Aging [Optional - Default: Disabled]
     Allows you to have sims age TS2-style, with only the active household.
     Not enabled by default.
2.  No Inventory Destruction [Optional - Default: Enabled]
     Households you switch away from will not have their personal inventories
     replaced with random objects. Household fridge inventories will only be
     cleared of rotten food.
3.  More Rigorous Accounting: Sims do not receive magic 16K handout when moving
     out or split: Instead, sims receive share of existing household funds.
     Sims that move in or out no longer receive free housing or free money,
     do not lose their house networth, and may only move into houses that they
     can afford and must pay for! No free lunch!
4.  Unified Billing [Optional - Default: Enabled]
     All other households must also pay bills (occurs automatically).
5.  Motive/Stat Perks reworked [Optional - Default: Enabled]
     Hygiene/Hunger Perks now slows drain as well as decay.
     Bladder Perk now functions as above instead of permalocking motive.
     Fast Metabolism now prevents autoreversion, so now useful!
6.  Law of Conservation Of Mass [Optional - Default: Enabled]
     The Law of Conservation of Mass applies to sim weight gain: Sims cannot
     revert to being fat if not given food. They must actually eat in order
     to gain weight.
7.  No Bladder Decay For Terletless Lots Removed [Optional - Default: Enabled]
     Bladder motive functions normally even on community lots without terlets,
     instead of being locked and static, causing sims to stay there forever.
     If you disable this, community lots no longer require terlets. Using the
     EA default setting, placing terlets on community lots is actually harmful!
8.  No Aging Swarm [Optional - Default: Enabled]
     Sims will not dump their queues, wake up from their sleep, and swarm over
     like the Zerg anytime another sim ages up. Only sims who have absolutely
     nothing better to be doing at the time will watch. Because this wasn't
     funny back in TS2, either.
9.  No Community Psychic Stalker Swarm [Optional - Default: Disabled]
     Disables the creepy psychic stalking behavior of the entire community
     stalking your active sim. Ever see what it looks like when professionals
     tail someone? This may not be apparent if you can't see the entire
     neighborhood's movements using Supreme Commander, but it is VERY creepy
     when you can see them always moving to converge on your position
     and follow you around in a cycling pack like a band of Mossad agents.
10. No Psychic Curfew Police [Optional - Default: Disabled]
     Curfew on 12s no longer enforced by psychic police hovering overhead
     in helicopters waiting to pounce. Police will only get you if they are
     called to the scene and find you.
11. No Inactive Fast Baby Aging [Optional - Default: Enabled]
     Babies in inactive households will nolonger instantly age to toddlers and
     destroy neighborhood synchronization.
12. Allow NPC Aspiration Gain [Optional - Default: Enabled]
     Inactive sims will now gain aspiration for high mood and satisfying wants.
13. Allow Want Fulfillment Without Locking [Optional - Default: Enabled]
     Removes requirement for want to be locked in order to be fulfilled, so a
     sim can fulfill its wants on its own without your intervention.
14. Disable Explorer Sims [Optional - Default: Disabled]
     Enabling this option will disable the appearance of "Explorer" sims when
     on vacation.
15. Disable Tourist Sims [Optional - Default: Disabled]
     Enabling this option will disable the appearance of foreign "tourist" sims
     in your home world. Useful if they contradict themed neighborhoods or if
     you simply don't want strange, unsightly Puddings clogging your homeworld.

GAMEPLAY FEATURES: Careers, Jobs, & School
1.  Anti-Townie-Spam Boss/Coworker System
     Eliminates the unnecessary sim-spamming. Boss/Coworker NPCs will only be
     spawned if you attempt to interact with them or if they are actually
     required. Merges and deprecates RequireValidBosses and EmulateBossBug.
     Otherwise you will receive a "virtual" NPC, which will not be created
     until you try to interact by choosing appropriate work tones, or an
     already existing sim.
2.  No Free Job Skills [Optional - Default: Enabled]
     Sims will no longer receive free job skills on promotion: They must earn
     them! Do not disable this option if you leave the next option enabled,
     unless you want a flood of level 10 sims...which will be very bad.
3.  Allow NPC Work Performance Gain [Optional - Default: Enabled]
     Sims not part of the active household continue to gain work performance
     for going to work, and can therefore be promoted.
4.  Invert Above Rule For Sacred [Optional - Default: Disabled]
     If enabled, the setting chosen above is inverted for sims tagged "Sacred".
     If you disabled it, then this will enable it, but only for your Chosen.
     If you enabled it, then your Chosen will not advance without you.
     If this setting is not enabled, Chosen but non-Active sims follow the same
     rules as non-Chosen inactives.
5.  Scale Job Difficulty To Aging Scale [Option - Default: Disabled]
     Job difficulty is scaled up to age lengths if this is enabled.
6.  Job Difficulty Scaling [Option - Default: 1.0]
     Job difficulty is additionally scaled up by this factor. (2.0 = 2x, etc.)
     This option will stack with the above, so Epic is about 10.6x more longer,
     and so if this is set to 2.0, Epic jobs will be 21.2 times harder.
     Note that using this setting and the above to produce extremely high
     difficulty settings will tend to overemphasize the value of nonstandard
     jobs.
7.  Ambitions Career Multiplier [Option - Default: 1.0]
     XP gained from performing indicated task (other/skilling) is multiplied by
     this value. To reduce influence of skilling on job progression, pick a
     lower value. To compensate with increased weight on other job actions,
     increase other value accordingly.
8.  NPC Work Uniform Removal Chance [Optional - Default: 100%]
     Percentage chance that inactive households will remove their work uniforms
     on leaving work. EA default has them never do this, with the result that
     sims wear their work uniforms pretty much permanently.
9.  Chosen sims should now consult you for career branch decisions even if not
     in the active household.
10. Sims with unfinished homework now automatically select the complete
     homework tone in school, so inactive household sims no longer always fail.
11. Scale Skill Difficulty To Aging Scale [Option - Default: Disabled]
     Skilling difficulty is scaled up to age lengths if this is enabled. Not
     applied during vacation (which is timeless).
12. Regular Skill Difficulty Scaling [Optional - Default: 1.0]
     Regular Skill difficulty can be scaled by this additional factor.
13. Vacation Skill Difficulty Scaling [Optional - Default: 1.0]
     Vacation skilling difficulty for non-vacation skills is increased by this
     factor. Skills which are vacation-specific are unaffected by this.
14. No Automatic School Assignment [Optional - Default: Disabled]
     Active and Sacred sims will no longer be automatically assigned to a
     school. You get to enroll them manually, so you can pick which school.
     If you fail to do so in time, they grow up badly, and you suck.
15. Always Report Stylist As Changed [Optional - Default: Disabled]
     When playing the stylist career, it is no longer necessary to make a null
     change just to get credit for making the change. You will always receive
     the "changed" credit, so if you don't want to change something, you don't
     have to, as you could simply just do a change/changeback and still receive
     credit anyway. Less lag this way.
16. Show Other Consignments [Optional - Default: Enabled]
     Consignment store items placed by other famblies can be bought. Will
     appropriately credit seller.
17. Sell Inactove Consignments [Optional - Default: Disabled]
     Consigned items will tick down and sell even if the seller fambly is not
     the actively selected fambly. Otherwise, does not count down and only the
     player may buy these items.

GAMEPLAY FEATURES: Objects & Object Usage
1.  No Idiotic Time Restrictions on Cooking
     Can cook any meal anytime you damn well please.
2.  Smarter Chair Selection [Optional - Default: Enabled]
     No more 80-mile hikes for bizarre chairs. More TS2-like behavior for
     seeking chairs in current room vs. chairs on other end of lot.
3.  Books Are Not Magic Scrolls [Optional - Default Enabled]
     Books do not disintegrate after reading.
4.  Smarter Vehicle Chooser [Optional - Default: Enabled]
     Having a career carpool vehicle will no longer override all of your sim's
     car choices and force him to use that one all the time. Sims will now
     select the best vehicle available when autoselecting a car if multiple
     options exist: The fastest car is preferred unless a sim has been
     explicitly assigned a vehicle, in which case he will pick the fastest
     vehicle that has been specifically assigned. The career vehicle is also
     included in these selections and will be chosen only if it is superior to
     the other available vehicles. Feature only applies when sim is travelling
     around town, they will still use their carpools to go to work.
5.  Better Vehicle Disembarking [Optional - Default: Enabled]
     Sims getting out of vehicles will get out of the vehicle where the vehicle
     parks if feasible instead of always on the street.
6.  Wired Stereos Don't Annoy Bedrooms [Optional - Default: Enabled]
     Wiring a stereo with the house speakers upgrade will not install the
     speakers inside the bedroom, so sims will not be annoyed while sleeping.
7.  All Ingredients Directly Edible [Optional - Default: Enabled]
     Ever wonder why your sim can eat a raw onion, but not a cheese or a steak?
     Now you can! OM NOM NOM NOM! Cooking is for losers!
8.  Plant On Any Lot [Optional - Default: Enabled]
     Create community gardens by planting your harvestables on any res/com lot.
9.  Buyable WrittenBooks [Optional - Default: Enabled]
     Books written by your sims in-game are now buyable from the bookstore.
10. Recipe Books In Library [Optional - Default: Disabled] EXPERIMENTAL
     Recipe books will spawn in the library with the other skill books. How
     common they are depends on how many sims know that recipe. Requires that
     books not be magic scrolls.
11. Disallow Visitor Residential Parking [Optional - Default: Enabled]
     Visitors are not allowed to park on foreign residential lots due to the
     problems this causes with sims forgetting to take their cars with them
     when they leave, resulting in screwed-upness as the parking spots become
     stuck in use with derelict vehicles that you can't actually claim. Instead
     they will simply keep their stupid cars in their stupid inventory and thus
     will take them with them no matter how they leave.
12. Shower In A Can Changes
     May restore bladder motive if Universal Bladder Decay enabled. Don't Ask.
     Grants "Soaked" moodlet to prevent problem where sim automatically uses,
     then immediately catches fire again, over and over until all cans are
     consumed.
13. Fish spawners will now display the fish if placed in pools. If an actual
     fish spawner is present, pools may be fished without special traits.

GAMEPLAY FEATURES: Romance & Perversion
1.  Marriage Post Mortem [Optional - Default: Disabled]
     Prevents the breaking of the marriage lines on the fambly tree.
     Option is experimental and has not been fully tested, so is disabled by
     default at this time.
2.  Use Awesome Jealousy Code [Optional - Default: Enabled]
     Uses one of AwesomeMod's jealousy routines. Required if you want to use
     any of the optional settings relating to this.
3.  Enable 12 Woohoo [Optional - Default: Disabled] *EXPERIMENTAL*
     Disabled scripted check against 12-woohoo. Doesn't specifically enable
     the action, but can be used with XML tunings that will.
4.  Enable Pedophilia [Optional - Default: Disabled]
     Adult-to-12 actions will be enabled if you turn this on. Be careful,
     though: Pedophilia is wrong and pedophiles go to jail, you sick freaks.

GAMEPLAY FEATURES: Socialization
1.  Inappropriate Trait Actions for saying mean things about other sims
     can now be accepted and will not offend the listener if they are mean
     and/or do not like the victim. Previously these actions would somehow
     offend the listener, which makes no sense given that they never liked
     that other person to begin with!

BUILD/BUY FEATURES:
1.  Roofslopeangle cheat: Allows lotwide and individual roof slope angle
     changing to a precise numerical angle. See console and debug features.
2.  Magic Wanding: "wandhere" code reduces lot to "used" price so that townies
     can afford it, and you don't have to pre-run lots to make them affordable.
3.  Light Cloning: Newly placed lights automatically inherit the light settings
     of previously placed lights, preferentially favoring lights of the same
     type, then other lights, for setting choice.
4.  "Always Build Here": Forces build/buy to always build/buy on the current
     lot you are looking at rather than whipping your camera home to build at
     your sim's home lot.
5.  Better Object Info [Optional - Default: Enabled]
     Shows more useful statistics about objects derived from actual in-game
     numerical values instead of USDA Grade A BS values.
6.  Never Remove Objects On Lot Type Change [Optional - Default: Enabled]
     Standard objects like stoves will not be removed when you change the lot
     type, so stoves and other things will remain on community lots.
     See also "disablebbfilter" for getting those things on the lot in the
     the first place. Now you can build lots like EAxis builds them!

CONSOLE & DEBUG FEATURES:
1.  Configure AwesomeMod Dynamically!
     Use code "showconfig" to see all current AwesomeMod configurations.
     Use code "setconfig <option> <value" to change an option.
     Configuration does not save, changes are for this session only.
     Use online AwesomeMod Config File Generator to make persistent changes.
2.  Timed Autosave! [Optional - Default: 0 (disabled)]
     Allows you to set an autosave interval in minutes with more options.
3.  Integrated NoCD: Don't Kill Your CD Drive! [Optional - Default: Enabled]
4.  Stuck Object Remover: CRTL-Shift-Click near object, pick Nuke.
5.  "fixall": Attempts to fix all easily fixed common/uncommon issues.
6.  Debug Commands Enableable  [Optional - Default: Disabled]
     Use code "setconfig enabledebugcommands true" to enable this option,
     or set as enabled in optional config. 
7.  "maxmotives" cheat added. ARE YOU HAPPY NOW?!?
8.  Additional codes for "destroyallhumans". Also townies, npcs.
9.  "dresser [<SIM NAME>]", "mirror [<SIM NAME>]". Self-explanatory.
     If no name is provided, will edit currently selected.
10. "makeover [<SIM NAME>]": As above, only using EP2 Stylist interface.
11. "editsim <SIM NAME>": As above. EXPERIMENTAL and UNSUPPORTED.
     Can edit facial features and favorites. Do not attempt to change a sim's
     weight, age, or traits using this command. No support will be provided
     for this command: YOU ARE ON YOUR OWN!
12. "disableclothingfilter <on|off>": Makes all clothing parts available in
     all outfit categories, overriding part settings.
13. "<add|drop>trait [<sim>] <trait>": Adds/drops standard and hidden traits.
14. "bodysnatch <sim>": Steals body of sim of compatible age/sex, making your
     currently selected sim appear like that sim, ala SimSurgery. Destroys the
     target sim. Requires testingcheatsenabled. Useful for updating appearance
     of selfsims with better precision than editsim. Will copy weight.
15. "wandhere": Functions like waving the TS2 magic wand did.
16. "bless [<household>]": Toggles Sacred status. Partial names acceptable.
17. "radar [<household>]": Toggles Radar status. Partial names acceptable.
18. "jobinfo [<sim>]": Displays some interesting job facts.
19. "bodyinfo [<sim>]": Displays some fitness stats.
20. "falconpunch [<sim>]": Makes target sim unpregnant.
21. "roofslopeangle [<#>] [new]": Like TS2. Also "rsa". Specify "new" to change
     only roofs built after issuing this command without changing existing.
     Using the slider or specifying RSA without "new" will void your settings
     and force all existing roofs to use specified setting. Use without any
     arguments will print current setting without changing anything.
22. "dropoldloves [<sim>|all]: Drops dangling non-partnered romances, for
     cleaning up storymode debris. Specify "all" for full neighborhood.
23. "regeneratebooks": Regenerates all library books if they have been lost.
24. "set[fit|fat]ness [<sim>] <value>: Sets fitness/fatness to -1.0 to 1.0 for
     current or specified sim.
25. "getcertificate [<name>] <skill>: Retrieves or reissues (for $1000) a
     misplaced skill certificate. Costs nothing to retrieve it if it already
     exists, charges $1000 to regenerate a new one if you sold it.
26. "outfit[cp|mv] <source category>[.#] <destination category>[.#]":
     Copies or moves an outfit from one category to another, allowing you to
     set a career or martial arts outfit.
27. "setoutfit [<sim>] <category>[.<#>]": Forces target sim, or selected sim
     if not specified, to immediately switch to outfit of category and index
     specified.
28. "adventureshop": Opens Awesome Adventure Shop, enabling the purchase of all
     adventure rewards regardless of Visa level or current location. Coins are
     still required. Can be used in any neighborhood.
29. "enrollall/expellall [<6|12|all>]": Enrolls or expels all specified sims
     from the school on the actively edited lot.
30. "addlotsize" <width> [x] <height>: Adds custom lot size to the Edit Town
     lot plopper, so that sizes other than those normally included can be
     plopped into your neighborhood, so you can place the missing 60x60, 64x32,
     32x32, 16x16, etc. lots you wanted. Lot sizes added in this manner persist
     until the game is restarted.
31. "clearmemories": Wipes out all memory spam on non-sacred, non-active sims.
32. "disablebbfilter": Disables build/buy restriction types, allowing you to
     do stuff like placing stoves on community lots.
33. "fixscuba": Refloats all scuba objects at correct sea level for building
     dive lots in other non-IP neighborhoods.

CAS FEATURES:
1.  Better CAS Relationship Setter [Optional - Default: Enabled]
     Allows an improved range of CAS starting relationships to be set, such as
     marrying A/YA to Elders, parenting YAs to Adults, or making 12s and A/YAs
     as siblings. It is also possible via various contortions to more unusual
     combinations, but the graphic lines may get mangled. Try not to break it.
     Additionally, all sims generated in such a manner will spawn at correct,
     physically possible ages: If you parent a 12 to a YA, their starting age
     will be bumped up accordingly. You will not be able to create combinations
     that are physically impossible for your aging length settings, such as if
     your requested combination of hookups leaves a sim too old or too young
     to possibly be the parent.
2.  Arbitrary Household Compositions [Optional - Default: Enabled]
     No longer forces inclusion of adult/elder.
3.  CAS Facial Slider Range Expanded [Optional - Default: Disabled]
     Expands CAS slider scale to 4x range: Less Pudding!
     Use code "setconfig cassliderscaleincreased true" to enable this option,
     or set as enabled in optional config.
4.  5-trait limit Overrideable [Optional - Default: Enabled]
     Can use code "addtrait <trait>" to add more than 5 traits to adult+ sim
     Can use code "droptrait <trait>" to remove a trait.
     Works on invisible traits like "Pyromaniac", too!
5.  Better Genetic Skin Blending [Optional - Default: Enabled]
     Sims created using different "swatches" can now blend to intermediate
     tones. Default behavior is that one skin from the parent would be chosen
     at random. Given that 3 out of 6 tones are "normal" tones, this would
     result in very light and very dark sims that could only produce very
     light or very dark children, and nothing in between.
6.  No Vanilla Puddings [Optional - Default: Enabled]
     Sims generated through gameplay no longer spawn as "vanilla pudding"
     with all sliders centered. They will instead be generated in the same way
     as mashing the "dice" button in CAS.
7.  Stop That Fucking Smiling! [Optional - Default: Enabled]
     Sims created in CAS always seem to look weird in game? Why? Because
     instead of maintaining a neutral expression in CAS, they SMILE LIKE
     UTTER MORONS, resulting in severe mouth distortion in-game where they
     aren't constantly making that STUPID EXPRESSION. This option will cause
     them to, shortly after they do their silly wave, stand up straight and
     STOP THAT FUCKING SMILING.
8.  Custom Sim Filter Is Default [Optional - Default: Enabled]
     Viewing the CAS simbin will start with the custom sims-only filter on
     by default, resulting in faster and more relevant initial loads. Unless
     you are some kind of weirdo and actually routinely use the premade bin.
9.  Custom ClothingFilter Is Default [Optional - Default: Disabled
     Viewing clothign in CAS will load only custom options by default, if you
     have way too much EAxis crap to load and it takes forever.
10. No Duplicate Names [Optional - Default: Enabled]
     Sims will not randomly roll identical names, making it impossible to
     distinguish them when aiming at them with console codes or text menus.
     Players are not prohibited from giving sims identical names, but sims
     will not randomly generate with names that are taken by another sim.
11. Allow Overstuffed Houses [Optional - Default: Disabled]
     Allows you to overstuff a house during gameplay (not CAS, CAS doesn't
     like it when you try due to use of static array indexes), so you can
     cram a house with more than 8 sims. Note that this results in no defined
     limit, so it is possible you can blow out your UI doing this. Don't go
     too crazy with this, the management is not responsible for you exploding
     your game from this.
12. Randomize Spawned Voices [Optional - Default: Disabled]
     Sims spawned in-game receive randomized voices, instead of voice 1, 50%.
13. Custom NameList Support [Optional - Default: Unused]
     Supports the use of custom STBL-based namelist headers to replace the EA
     namelist for male/female/last names, and can switch between using any
     of the lists you have loaded at startup on the fly in-game.
14. Play With Genetics FreeStyle [Optional - Default: Disabled]
     Removes age/gender restrictions when using Play With Genetics in CAS, so
     it is no longer necessary to change things only to change them back after.
     Can now create kitbash puddings without having to mess with age/sex.

SIDE EFFECTS:
May cause computer damage, incontinence, explosion of user's head, coma, death,
and/or halitosis.

WARNING:
Do not open, crush, dispose of in fire, put in backwards, short-circuit, or mix
with non-awesome hacks - may explode, leak, or catch fire, resulting in injury
and/or death.

USAGE POLICY:
Meh.